Get all roles
https://{kibana_url}
- GET /api/security/role
Retrieve all Kibana roles.
Query Parameters
-
replaceDeprecatedPrivilegesboolean If
trueand the response contains any privileges that are associated with deprecated features, they are omitted in favor of details about the appropriate replacement feature privileges.
Response
Indicates a successful call.
Response Type: object
-
_transform_errorobject -
reasonstringrequired -
The reason the role could not be fully transformed.
-
stateobject -
applicationstringrequired -
privilegesstringrequired -
resourcesstringrequired -
_unrecognized_applicationsstring -
descriptionstring -
A description for the role.
-
elasticsearchrequired -
The Elasticsearch cluster, index, and remote cluster security privileges for the role.
-
clusterstring · max: 100 -
indicesobject · max: 1000 -
allow_restricted_indicesboolean -
Restricted indices are a special category of indices that are used internally to store configuration data and should not be directly accessed. Only internal system roles should normally grant privileges over the restricted indices. Toggling this flag is very strongly discouraged because it could effectively grant unrestricted operations on critical data, making the entire system unstable or leaking sensitive information. If for administrative purposes you need to create a role with privileges covering restricted indices, however, you can set this property to true. In that case, the names field covers the restricted indices too.
-
field_securitymap string to string -
namesstring · min: 1 · max: 100required -
privilegesstring · min: 1 · max: 100required -
querystring -
A search query that defines the documents the role members have read access to. A document within the specified data streams and indices must match this query in order for it to be accessible by the role members.
-
remote_clusterobject · max: 100 -
clustersstring · min: 1 · max: 100required -
privilegesstring · min: 1 · max: 100required -
remote_indicesobject · max: 1000 -
allow_restricted_indicesboolean -
Restricted indices are a special category of indices that are used internally to store configuration data and should not be directly accessed. Only internal system roles should normally grant privileges over the restricted indices. Toggling this flag is very strongly discouraged because it could effectively grant unrestricted operations on critical data, making the entire system unstable or leaking sensitive information. If for administrative purposes you need to create a role with privileges covering restricted indices, however, you can set this property to true. In that case, the names field will cover the restricted indices too.
-
clustersstring · min: 1 · max: 100required -
field_securitymap string to string -
namesstring · min: 1 · max: 100required -
privilegesstring · min: 1 · max: 100required -
querystring -
A search query that defines the documents the role members have read access to. A document within the specified data streams and indices must match this query in order for it to be accessible by the role members.
-
run_asstring · max: 100 -
kibanaobjectrequired -
metadatamap string to object -
namestringrequired -
The role name.
-
transient_metadatamap string to object